> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/managedservicesselector-object.md).

# ManagedServicesSelector Object

## Description

Specification for a Managed Services Plan's Selector

## Properties

### createdDate

Date, in ISO 8601 format, at which the selector was created.&#x20;

Type: `bool`

### credentialIds

Identifiers of the credentials used by the selector when matching resources.

Type: Array of `string`

### groupIdComparisons

Group identifier comparisons used by the selector when matching resources.

Type: Array of [ManagedServicesGroupIdComparison](/data-types/managedservicesgroupidcomparison-object.md) objects

### lastModifiedBy

User ID of the user that last modified the selector.

Type: `string`

### lastModifiedDate

Date, in ISO 8601 format, at which the selector was last modified.&#x20;

Type: `bool`

### name

Name of the Managed Services Selector.

Type: `string`

### planId

Identifier for the Managed Services Plan to which the selector belongs.

Type: `string`

### regionNames

Regions/locations used by the selector when matching resources.

Type: Array of `string`

### resourceIdComparisons

Resource identifier comparisons used by the selector when matching resources.

Type: Array of [ManagedServicesResourceIdComparison](/data-types/managedservicesresourceidcomparison-object.md) objects

### resourceTagComparisons

Resource tag comparisons used by the selector when matching resources.

Type: Array of [ManagedServicesResourceTagComparison](/data-types/managedservicesresourcetagcomparison-object.md) objects

### resourceIds

Resource identifiers used by the selector when matching resources.

Type: Array of `string`

### resourceType

Type of resources that will be selected by the selector.

Type: `string`

Valid Values:

* `amazon-ec2-instance`
* `amazon-ebs-volume`
* `amazon-rds-instance`
* `amazon-rds-cluster`
* `amazon-documentdb-cluster`
* `amazon-lightsail-instance`
* `amazon-fsx-filesystem`
* `amazon-appstream-fleet`
* `amazon-redshift-cluster`
* `azure-virtual-machine`
* `google-vm-instance`
* `google-cloudsql-instance`

### selectorCode

Unique code for the Managed Services Selector.

Type: `string`

### selectorId

Identifier for the Managed Services Selector.

Type: `string`

### state

State of the Managed Services Selector.

Type: `string`

Allowed Values:

* `active`
* `deleted`

### syncState

Synchronization state of the selector.

Type: `string`

Allowed Values:

* `ready`

## Sample JSON

```javascript
{
    "planId": "plan-00000001",
    "selectorId": "selector-00000001",
    "name": "Development EC2 Instances",
    
    "state": "active",
    "syncState": "ready",
    
    "createdDate": "2023-02-13T00:00:00Z",
    "lastModifiedDate": "2023-02-14T00:00:00Z",
    "lastModifiedBy": "u-00000001",
    
    "selectorCode": "0000000000000000",
    
    "credentialIds": [
        "cred-00000001",
        "cred-00000002"
    ],
    "regionNames": null,
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceTagComparisons": [
        {
            "tagName": "start-schedule",
            "compareType": "equals",
            "tagValue": "daily-0800"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/managedservicesselector-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
